Create Geography - Fabric
Create Geography
cURL
curl --request POST \
--url https://api.fabric.inc/v3/location-geographies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"zoneName": "US_LOCATIONS",
"zoneType": "ABSOLUTE",
"description": "Specific zone for US Locations",
"locations": [
{
"priority": 1,
"locationNumber": 23
}
],
"tiers": [
{
"filters": [
{
"field": "location.locationNum",
"condition": "EQ",
"value": "<unknown>",
"group": "GroupA"
}
],
"sort": "+location.createdAt",
"tier": 123
}
]
}
'
Python
import requests
url = "https://api.fabric.inc/v3/location-geographies"
payload = {
"zoneName": "US_LOCATIONS",
"zoneType": "ABSOLUTE",
"description": "Specific zone for US Locations",
"locations": [
{
"priority": 1,
"locationNumber": 23
}
],
"tiers": [
{
"filters": [
{
"field": "location.locationNum",
"condition": "EQ",
"value": "<unknown>",
"group": "GroupA"
}
],
"sort": "+location.createdAt",
"tier": 123
}
]
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
zoneName: 'US_LOCATIONS',
zoneType: 'ABSOLUTE',
description: 'Specific zone for US Locations',
locations: [{priority: 1, locationNumber: 23}],
tiers: [
{
filters: [
{
field: 'location.locationNum',
condition: 'EQ',
value: '<unknown>',
group: 'GroupA'
}
],
sort: '+location.createdAt',
tier: 123
}
]
})
};
fetch('https://api.fabric.inc/v3/location-geographies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
201: Created
400: Bad Request
401: Unauthorized
500: Internal Server Error
Authorization
- Authorization:
Bearer <token> is required in the header.
- x-fabric-tenant-id: Tenant identifier needed in the header.